Newman's Personal Motorcade

    gulp-sass-plotter

    0.2.2 • Public • Published

    gulp-sass-plotter

    A sass-plottter adapter for gulp.

    Install

    Install it with npm

    $ npm install gulp-sass-plotter

    Usage

    var gulp    = require('gulp');
    var watch   = require('gulp-watch');
    var sass    = require('gulp-sass');
    var plotter = require('gulp-sass-plotter');
     
     gulp.src("./test/scss/**/*.scss")
      .pipe(watch("./test/scss/**/*.scss"))
      .pipe(plotter())
      .pipe(sass().on('error', sass.logError))
      .pipe(gulp.dest("./css"));
     

    This will pass all the file through and also will stream all dependent files of the .scss files.

    options

    You can pass options into plotter like so...

    ...
    .pipe(plotter(options))
    ...

    Options are those of sass-import-resolve. You could save some cpu by passing resolveSass : false. This will not look for files with .sass extension, only .scss files. See sass-import-resolve for more info.

    Install

    npm i gulp-sass-plotter

    DownloadsWeekly Downloads

    3

    Version

    0.2.2

    License

    MIT

    Last publish

    Collaborators

    • dadish